function [ objekty, cc ] = regiony( obj)
% Separuje jednotlive objekty z obrazu
%   Vstup: obraz, vystup: objekty = jednotlive objekty, ktere se nachazi v
%   obraze, cc = struktura vytvorena pomoci bwconncomp

cc = bwconncomp(obj, 8); % rozdeleni objektu podle jejich propojenosti
X = 150; % prah pro velikost objektu

a = cell(1,cc.NumObjects);
for i = 1 : cc.NumObjects % Funkce pro smazani objektu mensich nez 2 pixely 
    if length(cc.PixelIdxList{i}) > X % filtrace malych objektu
        a{i} = cc.PixelIdxList{i};
    end
end
cc.PixelIdxList = a(~cellfun('isempty',a)); % Maze prazdne bunky
cc.NumObjects = length(cc.PixelIdxList); % pocet objektu
disp(['V obrazku je: ' num2str(cc.NumObjects) ' objektu.']) % Zobrazi pocet objektu

% Odkomentuj pro zobrazeni jednotlivych objektu
% figure
objekt = zeros(size(obj));%To je nejaka uprava pro zobrazeni jednotlivych objektu

objekty = cell(1,length(cc.NumObjects));
stary_obraz = false(size(objekt));
for i = 1 : cc.NumObjects
    objekt(cc.PixelIdxList{i}) = true;   
    [g, stary_obraz] = nahr_mapa(objekt, stary_obraz);
    objekty{i} = g;
%     subplot 121
%     imshow(grain); hold on;
%     subplot 122
%     imshow(objekty{i});
%     pause;
end
% title('Objekty v obrazu');

end

